﻿@import url(//fonts.googleapis.com/earlyaccess/notosanskr.css);
@import url(//fonts.googleapis.com/icon?family=Material+Icons);
@import url(//fonts.googleapis.com/css?family=Raleway:200,200i);

body
{
	font-family: 'Noto Sans KR', 'Noto Sans CJK KR', 'Malgun Gothic', sans-serif;
	font-size: 10pt;
	background-color: #212024;
	background-image: url(images/page-background.jpg);
	background-position: left top;
	background-repeat: no-repeat;
	padding: 100px 0 0 0;
	margin: 0;
	min-width: 280px;
}

input, textarea, select
{
	font-family: inherit;
	font-size: inherit;
}

header
{
	position: fixed;
	width: 100%;
	top: 0;
	border-top: 5px solid #262428;
	background-color: #d2a065;
	box-shadow: 0 6px 10px black;
	height: 90px;
	z-index: 100;
}

header > nav
{
	margin: 0 auto;
	max-width: 980px;
}

#home
{
	display: inline-block;
	width: 200px;
	margin: 20px 0 0 0;
}

#home > img
{
	max-width: 100%;
	height: auto;
}

footer
{
	color: silver;
	font-size: 8pt;
	font-weight: 300;
	margin: 10px auto;
	max-width: 980px;
}

#title
{
	max-width: 980px;
	margin: 0 auto;
	padding: 35px 0 0 40px;
	background: url(images/page-painting.png) no-repeat;
	background-position: -20px 0;
	color: #dfac01;
	font-weight: 100;
	font-size: 18pt;
	line-height: 0.9;
}

body > article:first-of-type
{
	background-color: rgba(255, 255, 255, 0.8);
	min-height: 400px;
}

#wrapper
{
	margin: 0 auto;
	max-width: 980px;
	min-height: 400px;	
	display: flex;	
	flex-flow: row wrap;
}

#wrapper a
{
	color: steelblue;
	text-decoration: none;
}

#wrapper a:hover
{
	text-decoration: underline;
}

/*#hb-wrapper h1:first-of-type
{
	margin-left: -1.2ex !important;
}*/

#menu
{
	float: right;
	margin: 0 50px 0 0;
	padding: 0;
	list-style: none;
}

#menu li
{
	display: block;
	float: left;
	width: 90px;
	height: 90px;
	text-align: center;
	font-size: 13pt;
	font-weight: 100;
	color: white;
}

#menu li a
{
	display: block;
	height: 100%;
	text-decoration: none;
	color: inherit;
}

#menu li:nth-of-type(1)
{
	background-color: #db5478;
	border-bottom: 18px solid #d85f7f;
}

#menu li:nth-of-type(2)
{
	background-color: #c3540e;
	border-bottom: 18px solid #c35f20;
}

#menu li:nth-of-type(3)
{
	background-color: #50a9de;
	border-bottom: 18px solid #5babdb;
}

#menu li:nth-of-type(4)
{
	background-color: #cfa020;
	border-bottom: 18px solid #cda330;
}

#menu li:nth-of-type(5)
{
	background-color: #28563e;
	border-bottom: 18px solid #37614b;
}

.menu-icon
{
	display: block;
	margin: 10px auto;
	width: 24px;
	height: auto;
}

#pagetail
{
	display: flex;
	flex-flow: row wrap;
	padding: 0;
	list-style-type: none;
}

#pagetail li:first-of-type
{
	flex: 1 1 auto;
	margin: 0  1em 0 0;
	border-right: 1px dotted dimgray;
}

#pagetail li:last-of-type
{
	flex: 4 1 auto;	
}

#pagetail a, #pagetail a:visited
{
	color: silver;
	display: inline-block;
	min-width: 5em;
	background-color: #38363d;
	border-radius: 6px;
	padding: 1ex;
	margin: 0 1ex 1ex 0;
	text-align: center;
	text-decoration: none;
	transition: text-shadow 0.5s linear, background-color 0.5s ease;
}

#pagetail a:hover
{
	color: lavender;
	background-color: #4b4364;
	text-shadow: 0 0 3px navy;
}

#pagetail a .material-icons
{
	font-size: 32px;
	display: block;
	margin: 0 auto;
}

#hb-wrapper
{
	flex: 1 1 auto;
}

@media only screen and (min-width: 481px) and (max-width: 768px)
{
	header
	{
		height: 60px;
	}

	body
	{
		padding: 80px 0 0 0;
	}

	#home
	{
		width: 120px;
		margin: 10px;
	}

	#menu
	{
		width: 300px;
		margin: 0;
	}

	#menu li
	{
		display: block;
		float: left;
		width: 60px;
		height: 55px;
		font-size: 11pt;
		font-weight: 100;
		color: white;
		border: none !important;
	}

	.menu-icon
	{
		width: 20px;
		height: auto;
		margin: 5px auto;
	}

	#title
	{
		position: static;
		display: block;
		width: auto;
		height: 30px;
		padding: 0;
		margin-bottom: 0;
		background: none;
		color: deeppink;
		font-weight: 100;
		font-size: 18pt;
		z-index: -1;
	}

	#pagetail
	{
		flex-flow: column nowrap;
	}

	#pagetail li:first-of-type
	{
		order: 2;
		flex: 1 1 auto;
		margin: 1.5em 0 0 0;
		border-right: none;
		border-top: 1px dotted dimgray;		
	}

	#pagetail li:last-of-type
	{
		flex: 1 1 auto;	
	}
}

@media only screen and (max-width: 480px)
{
	body
	{
		background: none no-repeat #212024;
		padding: 0;
	}

	header
	{
		position: static;
		height: auto;
	}

	#home
	{
		width: 100px;
		margin: 5px;
	}

	#menu
	{
		float: none;
		display: block;
		width: 100%;
		height: 50px;
		margin: 0;
	}

	#menu li
	{
		display: inline-block;
		width: 18%;
		height: auto;
		text-align: center;
		font-size: 10pt;
		font-weight: 100;
		color: white;
		border: none !important;
		padding: 1%;
	}

	.menu-icon
	{
		display: block;
		margin: 0 auto;
		width: 20px;
		height: auto;
	}

	#title
	{
		position: static;
		display: block;
		width: auto;
		height: 30px;
		padding: 0;
		margin-bottom: 0;
		background: none;
		color: white;
		font-weight: 100;
		font-size: 14pt;
		z-index: auto;
	}

	#pagetail
	{
		flex-flow: column nowrap;
	}

	#pagetail li:first-of-type
	{
		order: 2;
		flex: 1 1 auto;
		margin: 1.5em 0 0 0;
		border-right: none;
		border-top: 1px dotted dimgray;
	}

	#pagetail li:last-of-type
	{
		flex: 1 1 auto;
		text-align: center;
	}
}

.warn
{
	color: red;
}

/* MISC  
----------------------------------------------------------*/
.clear
{
	clear: both;
}

.error
{
	color: Red;
}

/* Styles for validation helpers
-----------------------------------------------------------*/
.field-validation-error
{
	color: #ff0000;
}

.field-validation-valid
{
	display: none;
}

.input-validation-error
{
	border: 1px solid #ff0000;
	background-color: #ffeeee;
}

.validation-summary-errors
{
	font-weight: bold;
	color: #ff0000;
}

.validation-summary-valid
{
	display: none;
}

/* Styles for editor and display helpers
----------------------------------------------------------*/
.display-label,
.editor-label
{
	margin: 1em 0 0 0;
}

.display-field,
.editor-field
{
	margin: 0.5em 0 0 0;
}

.text-box
{
	min-width: 10em;
}

.text-box.multi-line
{
	min-height: 4em;
}

.tri-state
{
	width: 6em;
}

/* Styling Material Icons */
.material-icons { vertical-align: middle; }
/* Rules for sizing the icon. */
.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

/* Rules for using icons as black on a light background. */
.material-icons.md-dark { color: rgba(0, 0, 0, 0.54); }
.material-icons.md-dark.md-inactive { color: rgba(0, 0, 0, 0.26); }

/* Rules for using icons as white on a dark background. */
.material-icons.md-light { color: rgba(255, 255, 255, 1); }
.material-icons.md-light.md-inactive { color: rgba(255, 255, 255, 0.3); }